function HeatTransferCoefficient2 = QR22(r1,r2,T2,Tinf,dL,U,V)
% This function calculates the overall heat transfer coefficient [W/K]  
    %throug the outer pipe wall
    
% Coded by Lene sy 30.03.2017

Ts=T2;  % For calculation of the air properties of the boundary layer, 
        % assuming surface temperature equal to the annulus flow temp 
A=2*pi*dL*r2;
Uwall=1/((1/(1*(hair(Tinf,Ts,U,r2)))+(1/(hw2(T2,r1,r2,V)))));
HeatTransferCoefficient2=Uwall*A;
% Due to thin wall and high conductivity of the pipe wall, this is
    %neglected in the overall heat transfer coefficient Uwall.
end