function heat3 = hair(Tinf,Ts,U,r2)
% This function calculates the total heat transfere coeffisient for 
    %air flow due to natural and forced convection
    
% Coded by Lene sy 30.03.2017

Tinf=Tinf-273.15;           %Temperature far away from pipe [deg]
Tsurf=Ts-273.15;            %Surfacetemperature [deg]
Uwind=U;                    %Wind velocity [m/s]
m=length(Tsurf);      
Dpipe=2*r2;                 %Outside diameter of pipe [m]
N=length(Uwind);

for i=1:m
for j=1:N
 
% Thermal properties of air using boundary layer temperature
    Tavg(i)=0.5.*(Tsurf(i)+Tinf(1));    %Average boundary layer temp
    Kair(i)=(-3*(10^-8).*(Tavg(i)^2))+(Tavg(i).*(8*(10^-5)))...
        +0.0236; 
    Prair(i)=((10^-8).*(Tavg(i)^3))-((10^-6).*(Tavg(i)^2))...
        -(0.0002.*Tavg(i))+0.7362; 
    myair(i)=((10^-10).*(Tavg(i)^2))+(9*(10^-8).*Tavg(i))...
        +(10^-5);       
    beta=1/(273.15+Tavg(i));     
    g=9.81;
  
    Re(j)=Uwind(j)*Dpipe/myair(i);      %Reynolds number

% Heat flux coefficient forced convection    
  if Re(j)*Prair(i)>=0.2
      Nuf(j,i)=0.3+(((0.62*(Re(j)^0.5)*(Prair(i)^(1/3)))/((1+((0.4/...
          Prair(i))^(2/3)))^(1/4)))*((1+((Re(j)/282000)^(5/8)))^(4/5)));
      hconvf(j,i)=(Kair(i)/Dpipe)*Nuf(j,i);
  else
      Nuf(j,i)=0;
      hconvf(j,i)=(Kair(i)/Dpipe)*Nuf(j,i);
  end

% Heat flux coefficient natural convection
    RaD(i)=(g*beta*(Tsurf(i)-Tinf(1))*(Dpipe^3))/(myair(i)^2);
    Nun(i)=(0.6+((0.387.*(RaD(i).^(1/6)))/((1+((0.559/Prair(i))...
        .^(9/16))).^(8/27)))).^2;
    hconvn(i)=(Kair(i)/Dpipe)*Nun(i);

    Nutot(j,i)=((Nuf(j,i)^4)+(Nun(i)^4))^(1/4);

    heat3(i,j)=(Kair(i)/Dpipe)*Nutot(j,i);
    heat3=heat3(i,j) ;
    j=j+1;
end
    i=i+1 ;   
end 
end