function heat1 = hw1(T,r1,V)
% This function calculates the total heat transfere coeffisient for 
    %inner pipe flow due to forced convection
    
% Coded by Lene sy 30.03.2017

%% Thermal properties of Glycol/Water (50/50)
dynvisk_gw=dvw(T);% [kg/ms] 
rho_gw=rhow(T); %[kg/m^3]
Pr_gw=prw(T); % [-]
k=0.5; %[W/Km] 

%% Flow velocities and Reynolds number
Vflow=V/3600;                   % [m^3/s] volumetric flow rate
u1=(Vflow)/(pi*r1^2)            % [m/s] Average flow velocity
Re1=rho_gw*u1*r1/dynvisk_gw;    % Reynoldsnumber for the inner flow

%turbulent flow 3000<Re<5000000
if Re1>=3000 
f1=((0.79*log(Re1))-(1.64))^(-2); %darcys friction factor for smooth pipe 
Nu1=((f1/8)*(Re1-1000)*Pr_gw)/(1+((12.7)*((f1/8)^0.5)*((Pr_gw^(2/3))-1)));      
                                  % Nusselts number
heat1=(Nu1*k)/(2*r1);             % [W/Km^2] heat transfer coefficient

%transition flow 2300<Re<3000
elseif Re1>2300 
f1=((3.03*10^-12)*Re1^3)-((3.67*10^-8)*Re1^2)+((1.46*10^-4)*Re1)-0.151 ;     
                            %darcys friction factor for smooth round pipe 
Nu1=((f1/8)*(Re1-1000)*Pr_gw)/(1+((12.7)*((f1/8)^0.5)*((Pr_gw^(2/3))-1)));      
                            % Nusselts number
heat1=(Nu1*k)/(2*r1);       % [W/Km^2] heat transfer coefficient

%laminar flow Re<2300
else Re1<=2300 
Nu1=4.36;                    % constant heat flux 
heat1=(Nu1*k)/(2*r1);        % [W/Km^2] heat transfer coefficient
end
end
