function heat2 = hw2(T,r1,r2,V)
% This function calculates the total heat transfere coeffisient for 
    %Annulus (outer pipe) flow due to forced convection
    
% Coded by Lene sy 30.03.2017

%% Thermal properties of Glycol/Water (50/50)
dynvisk_gw=dvw(T);          % [kg/ms]
rho_gw=rhow(T);             %[kg/m^3]
Pr_gw=prw(T);               % [-]
k=0.5;                      %[W/Km]

%% Flow velocities and Reynolds number
Dh=(r2-r1)*2;                    %[m] Hydraulic diameter for pipe annulus
Vflow=V/3600;                    %[m^3/s] volumetric flow rate
u2=(Vflow)/(pi*((r2^2)-(r1^2))); % [m/s] average flow velocity
Re2=rho_gw*u2*Dh/dynvisk_gw;	 % Reynolds number

%turbulent flow 3000<Re<5000000
if Re2>=3000
f2=((0.79*log(Re2))-(1.64))^(-2);        % Darcys friction factor
Nu2=((f2/8)*(Re2-1000)*Pr_gw)/(1+((12.7)...
    *((f2/8)^0.5)*((Pr_gw^(2/3))-1)));   % Nusselts number
heat2=(Nu2*k)/(Dh);                      % [W/Km^2] heat transfer coeff.

%transition flow 2300<Re<3000
elseif Re2>2300
f2=((3.03*10^-12)*Re2^3)-((3.67*10^-8)*Re2^2)+...
    ((1.46*10^-4)*Re2)-0.151;    % Darcys friction factor for smooth pipe 
Nu2=((f2/8)*(Re2-1000)*Pr_gw)/(1+((12.7)...
    *((f2/8)^0.5)*((Pr_gw^(2/3))-1)));      
                                 % Nusselts number 
heat2=(Nu2*k)/(2*r1);            % [W/Km^2] heat transfer coefficient

%laminar flow Re<2300
elseif Re2<=2300
Nu2=4.36 ;                       % Nusselts number 
heat2=(Nu2*k)/(Dh);              % [W/Km^2] heat transfer coefficient
end
end